Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen
Interface ErrorHandler

All Known Implementing Classes:
  DefaultErrorHandler

public interface ErrorHandler

The `ErrorHandler` interface allows you to specialize how the error will be set on an SVG `Element`.

Method Summary
`void` | `handleError(SVGGraphics2DIOException ex)` This method handles the `SVGGraphics2DIOException`.
`void` | `handleError(SVGGraphics2DRuntimeException ex)` This method handles the `SVGGraphics2DRuntimeException`.

Method Detail

### handleError

    public void handleError(SVGGraphics2DIOException ex)
                     throws SVGGraphics2DIOException

  This method handles the `SVGGraphics2DIOException`.

  Throws:
    `SVGGraphics2DIOException`

### handleError

    public void handleError(SVGGraphics2DRuntimeException ex)
                     throws SVGGraphics2DRuntimeException

  This method handles the `SVGGraphics2DRuntimeException`.

  Throws:
    `SVGGraphics2DRuntimeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.